# Drone Runner

## Setup on Dokku

Create APP

    dokku apps:create cicd-agent

Setup Network & Domains

    dokku network:create cicd_net
    dokku network:set cicd-agent attach-post-create cicd_net

Setup Volumes

    dokku storage:mount cicd-agent /var/run/docker.sock:/var/run/docker.sock

Setup Configuration

    dokku config:set cicd-agent DRONE_RPC_PROTO=http
    dokku config:set cicd-agent DRONE_RPC_HOST=drone
    dokku config:set cicd-agent DRONE_RUNNER_CAPACITY=2
    dokku config:set cicd-agent DRONE_RUNNER_NETWORKS=cicd_net
    dokku config:set cicd-agent DRONE_DEBUG=false
    dokku config:set cicd-agent DRONE_TRACE=false

Setup Secrets

    dokku config:set cicd-agent DRONE_RPC_SECRET=$(dokku config:get cicd DRONE_RPC_SECRET)

Deploy

    git remote add dokku dokku@dinlas.apps.glenux.net:cicd-agent
    git push dokku master

